curl --request POST \
--url https://us.api.flexprice.io/v1/v1/subscriptions/schedules/{schedule_id}/cancel \
--header 'Content-Type: application/json' \
--data '
{
"schedule_id": "<string>",
"schedule_type": "plan_change",
"subscription_id": "<string>"
}
'{
"message": "<string>",
"status": "pending"
}Cancels a pending subscription schedule. Supports two modes: 1) By schedule ID in path, or 2) By subscription ID + schedule type in request body
curl --request POST \
--url https://us.api.flexprice.io/v1/v1/subscriptions/schedules/{schedule_id}/cancel \
--header 'Content-Type: application/json' \
--data '
{
"schedule_id": "<string>",
"schedule_type": "plan_change",
"subscription_id": "<string>"
}
'{
"message": "<string>",
"status": "pending"
}Schedule ID (optional if using request body)
Cancel request (optional if using path parameter)
Request to cancel a subscription schedule (supports two modes)
schedule_id is the ID of the schedule to cancel (optional if subscription_id and schedule_type are provided)
plan_change, cancellation subscription_id is the ID of the subscription (required if schedule_id is not provided)